<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package     Relic EDD Store
 * @author     	themerelic
 * @copyright   Copyright (c) 2019, themerelic
 * @link        http://themerelic.com
 * @since       Relic EDD Store 1.0.0
 * */
get_header();
?>
<div class="th-download-archive-banner">
	<header class="page-header">
		<div class="container">
			<?php
				the_archive_title( '<h1 class="page-title">', '</h1>' );
				do_action('relic_edd_store_breadcrumb');
				the_archive_description( '<div class="archive-description">', '</div>' );
			?>
		</div>
	</header><!-- .page-header -->
</div>


	<div class="container">
		<div class="row">
			<div class="blog-wrapper col-12 py-5">
				<section id="edd-store-advance-search-section" class="edd-store-advance-search-section">
					<div class="advance-search-section">
						<div class="container">
							<?php get_template_part( 'template-parts/search/search-form' ); ?>
						</div>	
					</div>
				</section>
			</div>
				<?php if ( is_post_type_archive( 'download' ) || is_tax( array( 'download_category', 'download_tag' ) ) ) : ?>
					<!-- Start Slider Columns -->
					<div class="th-homepage-main-products grid">
						<div class="row edd-gridlist-post">
							<?php 
							if ( have_posts() ) :
								/* Start the Loop */
								while ( have_posts() ) :
									the_post();
									/*
									* Include the Post-Type-specific template for the content.
									* If you want to override this in a child theme, then include a file
									* called content-___.php (where ___ is the Post Type name) and that will be used instead.
									*/
									get_template_part( 'template-parts/edd-template/edd-products-tabs' );
								endwhile;
							endif;
							?>
						</div>
					</div>

				<?php else: ?>
					<div class="col-lg-9">
						<?php if ( have_posts() ) : ?>
							<header class="page-header">
								<h1 class="page-title">
									<?php
									/* translators: %s: search query. */
									printf( esc_html__( 'Search Results for: %s', 'relic-edd-store' ), '<span>' . get_search_query() . '</span>' );
									?>
								</h1>
							</header><!-- .page-header -->
							<?php
							/* Start the Loop */
							while ( have_posts() ) :
								the_post();
								/**
								 * Run the loop for the search to output the results.
								 * If you want to overload this in a child theme then include a file
								 * called content-search.php and that will be used instead.
								 */
								get_template_part( 'template-parts/content', 'search' );
							endwhile;
							the_posts_navigation();

						else :

							get_template_part( 'template-parts/content', 'none' );

						endif;
						?>

					</div>
					<div class="col-lg-3">
						<?php get_sidebar(); ?>
					</div>
				<?php endif; ?>
		</div>
	</div>
</div>
<?php
get_footer();