<?php
/**
 * Shows breadcrumb
 *
 * @package     Relic EDD Store
 * @author     	themerelic
 * @copyright   Copyright (c) 2019, themerelic
 * @link        http://themerelic.com
 * @since       Relic EDD Store 1.0.0
 * */

// If we are front page or blog page, return.
if ( is_front_page() || is_home() ) {
	return;
}

?>
<div class="container">
	<?php
		$relic_edd_store_defaults = array(
			'container'       => 'nav',
			'before'          => '',
			'after'           => '',
			'browse_tag'      => 'h2',
			'list_tag'        => 'ul',
			'item_tag'        => 'li',
			'show_on_front'   => true,
			'network'         => false,
			'show_title'      => true,
			'show_browse'     => false,
			'labels' => array(
				'browse'              => esc_html__( 'Browse:',                               'relic-edd-store' ),
				'aria_label'          => esc_attr_x( 'Breadcrumbs', 'breadcrumbs aria label', 'relic-edd-store' ),
				'home'                => '<i class="fa fa-home" aria-hidden="true"> </i>  Home',
				'error_404'           => esc_html__( '404 Not Found',                         'relic-edd-store' ),
				'archives'            => esc_html__( 'Archives',                              'relic-edd-store' ),
				// Translators: %s is the search query.
				'search'              => esc_html__( 'Search results for: %s',                'relic-edd-store' ),
				// Translators: %s is the page number.
				'paged'               => esc_html__( 'Page %s',                               'relic-edd-store' ),
				// Translators: %s is the page number.
				'paged_comments'      => esc_html__( 'Comment Page %s',                       'relic-edd-store' ),
				// Translators: Minute archive title. %s is the minute time format.
				'archive_minute'      => esc_html__( 'Minute %s',                             'relic-edd-store' ),
				// Translators: Weekly archive title. %s is the week date format.
				'archive_week'        => esc_html__( 'Week %s',                               'relic-edd-store' ),

				// "%s" is replaced with the translated date/time format.
				'archive_minute_hour' => '%s',
				'archive_hour'        => '%s',
				'archive_day'         => '%s',
				'archive_month'       => '%s',
				'archive_year'        => '%s',
			),
			'post_taxonomy' => array(
				// 'post'  => 'post_tag', // 'post' post type and 'post_tag' taxonomy
				// 'book'  => 'genre',    // 'book' post type and 'genre' taxonomy
			),
			'echo'            => true
		);

		//breadcrumb trails
		breadcrumb_trail($relic_edd_store_defaults);
	?>
</div>