<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package     Relic EDD Store
 * @author     	themerelic
 * @copyright   Copyright (c) 2019, themerelic
 * @link        http://themerelic.com
 * @since       Relic EDD Store 1.0.0
 * */
$relic_edd_store_download             = new EDD_Download( get_the_ID() ); 
$relic_edd_store_variable_pricing     = $relic_edd_store_download->has_variable_prices(); 
$relic_edd_store_variable_pricing     = $relic_edd_store_variable_pricing ? ' edd-store-variable-price' : ''; 
?>
<section id="post-<?php the_ID(); ?>"  <?php post_class('single-download-content-wrapper'); ?>>
    <div class="container">
        <div class="single-download-content col-lg-10 col-md-10 col-12 mx-auto">
            <?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
            <p class="single-post-content"><?php the_excerpt(); ?></p>
        </div>
        <div class="single-download-btn <?php echo esc_attr( $relic_edd_store_variable_pricing ); ?>">
            
            <div class="form-wrapper ">
                <?php   echo   edd_get_purchase_link( array( 'download_id' => get_the_ID(),'direct'=>false,'class'=>'purchease-btn ' )  ); ?>
            </div>
            
        </div>
    </div>
</section>
<section class="download-content-section py-5">
    <div class="container">
        <div class="row">
            <?php if ( is_active_sidebar( 'edd-sidebar' )){ ?>
                <div class="col-lg-9 col-md-12 col-sm-12 col-12">
            <?php }else{ ?>
                <div class="col-lg-12 col-md-12 col-sm-12 col-12">
            <?php } ?>
                <div class="edd-single-download-content">
                <?php the_content(); ?>
                </div>
            </div>
            <?php if ( is_active_sidebar( 'edd-sidebar' )){ ?>
                <div class="col-lg-3 col-md-12 col-sm-12 col-12">
                    <aside id="secondary" class="widget-area">
                        <?php dynamic_sidebar( 'edd-sidebar' ); ?>
                    </aside><!-- #secondary -->
                </div>
            <?php } ?>
        </div>
    </div>
</section>