<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package     Relic EDD Store
 * @author     	themerelic
 * @copyright   Copyright (c) 2019, themerelic
 * @link        http://themerelic.com
 * @since       Relic EDD Store 1.0.0
 * */
$relic_edd_store_header_image = get_header_image();
?>
<header id="masthead" class="site-header" <?php if( !empty( $relic_edd_store_header_image ) ): ?> style="background:url(<?php echo esc_url($relic_edd_store_header_image); ?>) !important;    background-repeat: no-repeat;background-size: cover !important;"  <?php endif; ?> >
		<div class="container nav-wrapper">
 			<nav id="site-navigation" class="navbar navbar-expand-lg navbar-expand-md navbar-dark  main-navigation">
 				<div>
 				<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarTogglerDemo02" aria-controls="navbarTogglerDemo02" aria-expanded="false" aria-label="Toggle navigation">
					    <span class="navbar-toggler-icon"></span>
				</button>
				
				<div class="row">
					<div class="col-lg-3 col-md-3 col-sm-3">
		 				<div class="site-branding">
							<?php
							the_custom_logo();
							if ( is_front_page() && is_home() ) :
								?>
								<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
								<?php
							else :
								?>
								<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
								<?php
							endif;
							$relic_edd_store_description = get_bloginfo( 'description', 'display' );
							if ( $relic_edd_store_description || is_customize_preview() ) :
								?>
								<p class="site-description"><?php echo esc_html( $relic_edd_store_description ); /* WPCS: xss ok. */ ?></p>
							<?php endif; ?>
						</div><!-- .site-branding -->
						
					</div>
					<div class="col-lg-6 col-md-6 col-sm-5 ">
				
				
					<div class="menu-relic-edd-store-container">
						<?php
							wp_nav_menu( array(
								'theme_location' => 'menu-1',
								'menu_id'        => 'primary-menu',
							) );
							?>
					</div>
				</div>
					
				<div class="col-lg-3 col-md-3 col-sm-4">
				<div class="signup-wrapper">
					
					<?php  do_action('relic_edd_store_header_cart_section'); ?>
				
					<!-- signup account -->
					<?php do_action('relic_edd_store_header_login'); ?>
				</div>
				</div></div>
				<!-- end signup account -->
			</nav><!-- #site-navigation -->
		</div>
	</header><!-- #masthead -->