<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package     Relic EDD Store
 * @author     	themerelic
 * @copyright   Copyright (c) 2019, themerelic
 * @link        http://themerelic.com
 * @since       Relic EDD Store 1.0.0
 * */
$relic_edd_store_header_image = get_header_image();
?>
<header id="masthead" class="site-header header2 p-2" <?php if( !empty( $relic_edd_store_header_image ) ): ?> style="background:url(<?php echo esc_url($relic_edd_store_header_image); ?>) !important;    background-repeat: no-repeat;background-size: cover !important;"  <?php endif; ?> >
    <div class="container-fluid nav-wrapper">
        
        <div class="row">
            <div class="col-lg-1 col-md-1 col-2 align-self-center text-center">
                <span id="relic-edd-sidenav-open" data-open="close" style="font-size:30px;cursor:pointer" >&#9776;</span>
            </div>
            <div class="col-2 align-self-center text-center d-none d-lg-block d-md-block">
                <form class="main-form clearfix" name="myform" method="GET" action="<?php echo esc_url(home_url('/')); ?>">
                    <div class="input-group md-form form-sm form-2 pl-0">
                        <input type="text"  name="s" class="form-control my-0 py-1 bg-transparent"    value="<?php echo get_search_query(); ?>" placeholder="<?php esc_attr_e('Search...', 'relic-edd-store'); ?>">
                        <div class="input-group-append">
                            <span class="input-group-text red lighten-3" id="basic-text1"><i class="fa fa-search text-grey" aria-hidden="true"></i></span>
                        </div>
                    </div>
                </form>
            </div>
            <div class="col-lg-6 col-md-6 col-sm-8 col-8 align-self-center text-center text-white">
                <?php
                the_custom_logo();
                if ( is_front_page() && is_home() ) :
                    ?>
                    <h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
                    <?php
                else :
                    ?>
                    <p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
                    <?php
                endif;
                $relic_edd_store_description = get_bloginfo( 'description', 'display' );
                if ( $relic_edd_store_description || is_customize_preview() ) :
                    ?>
                    <p class="site-description"><?php echo esc_html( $relic_edd_store_description ); /* WPCS: xss ok. */ ?></p>
                <?php endif; ?>
            </div>
            <div class="col-lg-2 col-md-2 col-1  user-section align-self-center float-right p-0">

                    <nav id="user-peofile-sec" class="navbar p-0 p-lg-2 p-md-2 navbar-toggler text-right">
                        <div class="user-nav-wrapper w-100">
                            <div class="user-name text-truncate float-left text-right px-2">

                                <?php
                                    if(is_user_logged_in() ) {
                                        global $current_user;
                                        echo esc_html__('Hello','relic-edd-store').' , '. esc_html( $current_user->display_name );
                                    } else {
                                        echo esc_html__('Hello Guest','relic-edd-store');
                                    }
                                ?>
                            </div>
                            
                            <div class="user-navbar-toggler">
                                <?php
                                    if(is_user_logged_in() ) {
                                        global $current_user;
                                        echo get_avatar($current_user->user_email);
                                    } else {
                                        echo '<span class="default-user-icon"><i class="fa fa-user" aria-hidden="true"></i></span>';
                                    }
                                ?>
                                <i class="fa fa-ellipsis-v" aria-hidden="true"></i>

                            </div>
                        </div>
                    </nav>
                    <div id="edd-store-userprofile" class="user-nav-menu-wrapper">
                        <?php
                            wp_nav_menu( array(
                                'theme_location' => 'user-profile',
                                'menu_id'        => 'user-profile',
                            ) );
                        ?>
                    </div>
            </div>

                
            
            <div class="col-1 align-self-center p-0">
                <?php  do_action('relic_edd_store_header_cart_section'); ?>
            </div>
        </div>
        
        
        <div id="mySidenav" class="sidenav">
           <div class="menu-relic-edd-store-container" id="myNavbar">
                <?php
                    wp_nav_menu( array(
                        'theme_location' => 'menu-1',
                        'menu_id'        => 'primary-menu',
                    ) );
                    ?>
            </div>
        </div>

        
    </div>
    
</header><!-- #masthead -->