<?php
/**
 * Template part for displaying a message that posts cannot be found
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package     Relic EDD Store
 * @author     	themerelic
 * @copyright   Copyright (c) 2019, themerelic
 * @link        http://themerelic.com
 * @since       Relic EDD Store 1.0.0
 * */
?><div id="relic_edd_store_search" class="search-form">
    <h2 class="relic_edd_store_search_header"><?php printf( esc_html( 'Search Results for %s'), '<span>' . esc_html( get_search_query() ). '</span>' ); ?></h2>
    <form class="main-form clearfix mt-5" name="myform" method="GET" action="<?php echo esc_url(home_url('/')); ?>">
        <?php 
            if( isset($_REQUEST['download_category']) && !empty($_REQUEST['download_category']) )
                {
                $relic_edd_store_optsetlect = sanitize_text_field( wp_unslash( $_REQUEST['download_category'] ) );
            }else{
                $relic_edd_store_optsetlect = 0; 
            }
            $relic_edd_store_args = array(
                    'show_option_all'   => esc_html__( 'Categories', 'relic-edd-store' ),
                    'hierarchical'      => 1,
                    'echo'              => 1,
                    'value_field'       => 'slug',
                    'selected'          => $relic_edd_store_optsetlect
                );
            $relic_edd_store_args['taxonomy']     = 'download_category';
            $relic_edd_store_args['name']         = 'download_category';
            $relic_edd_store_args['class']        = 'cate-dropdown hidden-xs form-control';
        ?>
        
        <div class="form-group row m-0 py-2">
            <?php 
                $relic_edd_store_class="col-lg-10 col-md-9";
                if(relic_edd_store_is_activated()): $relic_edd_store_class="col-lg-7 col-md-5"; ?>
                    <div class="col-lg-3 col-md-4 col-12">
                        <?php wp_dropdown_categories( $relic_edd_store_args ); ?>
                    </div>
            <?php endif; ?>
            <div class="<?php echo esc_attr( $relic_edd_store_class );?> col-12">
                <input type="text"  name="s" class="searchbox w-100" maxlength="128" value="<?php echo get_search_query(); ?>" placeholder="<?php esc_attr_e('Search', 'relic-edd-store'); ?>">
            </div>
            <input type="hidden" value="download" name="post_type">
            <div class="col-lg-2 col-md-3 col-12 p-0 align-self-center">
                <button type="submit" title="<?php echo esc_attr('Search', 'relic-edd-store'); ?>" class="search-btn-bg "><i class="fa fa-search" aria-hidden="true"></i></button>
            </div>
        </div>
    </form>
</div>