<?php
/**
 * Archive Page Settings
 *
 * @package     Relic EDD Store
 * @author     	themerelic
 * @copyright   Copyright (c) 2019, themerelic
 * @link        http://themerelic.com
 * @since       Relic EDD Store 1.0.0
 * */
function relic_edd_store_customize_archive_page_settings( $wp_customize ) {

    //Main Heaer Panel 
    $wp_customize->add_section( 'relic_edd_store_archive_page_settings', array(
        'title'    => esc_html__( 'Archive & Blog Page', 'relic-edd-store' ),
        'priority' => 82,
        'panel'    =>'general_setting'
    ) );

    /**
     * Archive Post Excerpt Word Limit
     */
    $wp_customize->add_setting(
        'relic_edd_store_the_excerpt_word_limit',
        array(
            'default'           => 45,
            'sanitize_callback' => 'absint',
        )
    );
    $wp_customize->add_control(
		'relic_edd_store_the_excerpt_word_limit',
		array(
			'section'	  => 'relic_edd_store_archive_page_settings',
			'label'		  => esc_html__( 'Word Limit Excerpt', 'relic-edd-store' ),
			'description' => esc_html__( 'Number of excerpt limit word.', 'relic-edd-store' ),
            'type'        => 'number',
            'priority'    => 2
		)
    );


}
add_action( 'customize_register', 'relic_edd_store_customize_archive_page_settings' );