<?php
/**
 * Customizer Featured Products
 *
 * @package     Relic EDD Store
 * @author     	themerelic
 * @copyright   Copyright (c) 2019, themerelic
 * @link        http://themerelic.com
 * @since       Relic EDD Store 1.0.0
 * */
function relic_edd_store_customize_homepage_featured_products( $wp_customize ) {
    
    //Slider Section 
    $wp_customize->add_section( 'relic_edd_store_homepage_featured_products', array(
        'title'    => esc_html__( 'Featured Products', 'relic-edd-store' ),
        'priority' => 1,
        'panel'    =>'relic_edd_store_homepage_setting'
    ) );


    //select the theme category section
    $wp_customize->add_setting( 
        'relic_edd_store_theme_featured_products_category_select', 
        array(
            'sanitize_callback' => 'relic_edd_store_sec_sanitize_select'
        )
    );
    $wp_customize->add_control(
        'relic_edd_store_theme_featured_products_category_select', 
        array(
            'label' => esc_html__( 'Select Theme Category', 'relic-edd-store' ),
            'section' => 'relic_edd_store_homepage_featured_products',
            'type' => 'select',
            'choices' =>relic_edd_store_get_download_cat(),
        )
    );


    //Blog Header Title
	$wp_customize->add_setting(
        'relic_edd_store_homepage_featured_products_number_of_post',
        array(
            'default'           => 3,
            'sanitize_callback' => 'absint',
        )
    );
    $wp_customize->add_control(
		'relic_edd_store_homepage_featured_products_number_of_post',
		array(
			'section'	  => 'relic_edd_store_homepage_featured_products',
			'label'		  => esc_html__( 'Number of products.', 'relic-edd-store' ),
            'type'        => 'number',
            'priority'    => 2,
		)		
    );

    


}
add_action( 'customize_register', 'relic_edd_store_customize_homepage_featured_products' );