<?php
/**
 * Home Page Category Select
 *
 * @package     Relic EDD Store
 * @author     	themerelic
 * @copyright   Copyright (c) 2019, themerelic
 * @link        http://themerelic.com
 * @since       Relic EDD Store 1.0.0
 * */
function relic_edd_store_customize_latest_products( $wp_customize ) {

    //Slider Section
    $wp_customize->add_section( 'relic_edd_store_latest_products', array(
        'title'    => esc_html__( 'Latest Products', 'relic-edd-store' ),
        'priority' => 1,
        'panel'    =>'relic_edd_store_homepage_setting'
    ) );


    //Blog Header Title
	$wp_customize->add_setting(
        'relic_edd_store_latest_products_number_of_post',
        array(
            'default'           => 18,
            'sanitize_callback' => 'absint',
        )
    );
    $wp_customize->add_control(
		'relic_edd_store_latest_products_number_of_post',
		array(
			'section'	  => 'relic_edd_store_latest_products',
			'label'		  => esc_html__( 'Number Of products.', 'relic-edd-store' ),
            'type'        => 'number',
            'priority'    => 3,
		)		
    );

    //Blog Header Title
    $wp_customize->add_setting( 
        'relic_edd_store_latest_products_select_opt', 
        array(
            'default'           => esc_html__('small-view','relic-edd-store' ),
            'sanitize_callback' => 'relic_edd_store_sec_sanitize_select'
        )
    );
    $wp_customize->add_control( 
        'relic_edd_store_latest_products_select_opt', 
        array(
            'label' => esc_html__( 'Display Layout', 'relic-edd-store' ),
            'section' => 'relic_edd_store_latest_products',
            'type' => 'select',
            'choices' =>array(
                'small-view'  =>  esc_html__( 'Small Layout', 'relic-edd-store' ),
                'large-view'  =>  esc_html__( 'Large Layout', 'relic-edd-store' ),
            ),
            'priority'    => 3,
        )
    );

}
add_action( 'customize_register', 'relic_edd_store_customize_latest_products' );

