<?php
/**
 * Home Page News Letters Section
 *
 * @package     Relic EDD Store
 * @author     	themerelic
 * @copyright   Copyright (c) 2019, themerelic
 * @link        http://themerelic.com
 * @since       Relic EDD Store 1.0.0
 * */
function relic_edd_store_customize_register_newsletter( $wp_customize ) {
    
    //Slider Section 
    $wp_customize->add_section( 'relic_edd_store_homepage_newsletter', array(
        'title'    => esc_html__( 'Newsletter', 'relic-edd-store' ),
        'priority' => 1,
        'panel'    =>'relic_edd_store_homepage_setting'
    ) );

    /**
     * Header Title
     */
    $wp_customize->add_setting(
        'relic_edd_store_homepage_newsletter_header_title',
        array(
            'sanitize_callback' => 'wp_kses_post',
            'transport'			=>	'postMessage',
        )
    );
    $wp_customize->add_control(
		'relic_edd_store_homepage_newsletter_header_title',
		array(
			'section'	  => 'relic_edd_store_homepage_newsletter',
			'label'		  => esc_html__( 'Header Title', 'relic-edd-store' ),
            'type'        => 'text',
            'priority'    => 1,
		)		
    );
     $wp_customize->selective_refresh->add_partial( 'relic_edd_store_homepage_newsletter_header_title', array(
        'selector' 			=> '#edd-store-newsletter-section h1.edd-header-title',
        'render_callback' 	=> 'relic_edd_store_homepage_newsletter_header_title_callback',
	) );


    //Short Descriptions
	$wp_customize->add_setting(
        'relic_edd_store_homepage_newsletter_header_sort_desc',
        array(
            'sanitize_callback' => 'sanitize_text_field',
            'transport'			=>	'postMessage',
        )
    );
    $wp_customize->add_control(
		'relic_edd_store_homepage_newsletter_header_sort_desc',
		array(
			'section'	  => 'relic_edd_store_homepage_newsletter',
			'label'		  => esc_html__( 'Short Descriptions', 'relic-edd-store' ),
            'type'        => 'textarea',
            'priority'    => 2,
		)		
    );
     $wp_customize->selective_refresh->add_partial( 'relic_edd_store_homepage_newsletter_header_sort_desc', array(
        'selector' 			=> '#edd-store-newsletter-section p.edd-short-desc',
        'render_callback' 	=> 'relic_edd_store_homepage_newsletter_header_sort_desc_callback',
	) );


    //Mailchimp Shortcode
	$wp_customize->add_setting(
        'relic_edd_store_homepage_newsletter_shortcode',
        array(
            'sanitize_callback' => 'sanitize_text_field',
        )
    );
    $wp_customize->add_control(
		'relic_edd_store_homepage_newsletter_shortcode',
		array(
			'section'	  => 'relic_edd_store_homepage_newsletter',
			'label'		  => esc_html__( 'Mailchimp Shortcode', 'relic-edd-store' ),
            'type'        => 'text',
            'priority'    => 3,
		)		
    );

}
add_action( 'customize_register', 'relic_edd_store_customize_register_newsletter' );